Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ExportModule Class Reference
[Plugins]

`#include <ExportModule.h>`

Inherits tlp::WithParameter, and tlp::WithDependency.

Inheritance diagram for tlp::ExportModule:

[legend]
Collaboration diagram for tlp::ExportModule:

[legend]
List of all members.

## Detailed Description

Interface for exportModule plug-ins.

## Public Member Functions

- ExportModule (AlgorithmContext context)
- virtual ~ExportModule ()
- virtual bool exportGraph (std::ostream &, Graph *)=0

## Public Attributes

- Graph * graph
- PluginProgress * pluginProgress
- DataSet * dataSet

## Constructor & Destructor Documentation

tlp::ExportModule::ExportModule | ( | AlgorithmContext | context | ) | `[inline]`

virtual tlp::ExportModule::~ExportModule | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool tlp::ExportModule::exportGraph | ( | std::ostream & | ,
|  | Graph * |
| ) | `[pure virtual]`

## Member Data Documentation

DataSet* tlp::ExportModule::dataSet

Graph* tlp::ExportModule::graph

| It is the root graph

PluginProgress* tlp::ExportModule::pluginProgress

Tulip Software by LaBRI Visualization Team 2001 - 2010